NAME

OpenAPI::Client::OpenAI::Path::videos-video_id-remix - Documentation for the /videos/{video_id}/remix path.

OPERATIONS

POST /videos/{video_id}/remix

CreateVideoRemix

$client->create_video_remix({
    body => { ... },
});

Create a remix of a completed video using a refreshed prompt.

Path/query parameters

  • video_id (in path, required, string) - The identifier of the completed video to remix.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "completed_at" : 0,
   "created_at" : 0,
   "error" : {
      "code" : "string",
      "message" : "string"
   },
   "expires_at" : 0,
   "id" : "string",
   "model" : null,
   "object" : "video",
   "progress" : 0,
   "prompt" : "string",
   "remixed_from_video_id" : "string",
   "seconds" : "string",
   "size" : null,
   "status" : null
}

SCHEMAS

CreateVideoRemixBody

Properties:

  • prompt (string, required) - Updated text prompt that directs the remix generation.

VideoModel

See https://platform.openai.com/docs/api-reference for details.

VideoResource

Properties:

  • completed_at (anyOf, required)

  • created_at (integer, required) - Unix timestamp (seconds) for when the job was created.

  • error (anyOf, required)

  • expires_at (anyOf, required)

  • id (string, required) - Unique identifier for the video job.

  • model (VideoModel, required) - The video generation model that produced the job.

    See "VideoModel" below for shape.

  • object (string, required) - The object type, which is always video .

    Allowed values: video

    Default: video

  • progress (integer, required) - Approximate completion percentage for the generation task.

  • prompt (anyOf, required)

  • remixed_from_video_id (anyOf, required)

  • seconds (string, required) - Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

  • size (VideoSize, required) - The resolution of the generated video.

    See "VideoSize" below for shape.

  • status (VideoStatus, required) - Current lifecycle status of the video job.

    See "VideoStatus" below for shape.

VideoSize

See https://platform.openai.com/docs/api-reference for details.

VideoStatus

See https://platform.openai.com/docs/api-reference for details.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.